using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{
    [Table("mes_base_material_info")]
    public class MesBaseMaterialInfo
    {
        [Key]
        [Column("material_id")]
        public long? MaterialId { get; set; }
        [Column("erp_id")]
        public long? ErpId { get; set; }
        [Column("material_code")]
        public string MaterialCode { get; set; }
        [Column("old_material_code")]
        public string OldMaterialCode { get; set; }
        [Column("material_name")]
        public string MaterialName { get; set; }
        [Column("material_categories")]
        public string MaterialCategories { get; set; }
        [Column("material_subclass")]
        public string MaterialSubclass { get; set; }
        [Column("material_type_id")]
        public int? MaterialTypeId { get; set; }
        [Column("batch_flag")]
        public string BatchFlag { get; set; }
        [Column("batch_amount")]
        public decimal? BatchAmount { get; set; }
        [Column("material_unit_id")]
        public long? MaterialUnitId { get; set; }
        [Column("material_unit")]
        public string MaterialUnit { get; set; }
        [Column("material_matkl")]
        public string MaterialMatkl { get; set; }
        [Column("material_spec")]
        public string MaterialSpec { get; set; }
        [Column("net_weight")]
        public decimal? NetWeight { get; set; }
        [Column("gross_weight")]
        public decimal? GrossWeight { get; set; }
        //[Column("bind_flag")]
        //public string BindFlag { get; set; }
        [Column("factory_id")]
        public int? FactoryId { get; set; }
        [Column("create_org_id")]
        public long? CreateOrgId { get; set; }
        [Column("use_org_id")]
        public long? UseOrgId { get; set; }
        [Column("prodline_id")]
        public int? ProdlineId { get; set; }
        [Column("active_flag")]
        public string ActiveFlag { get; set; }
        [Column("deleted_flag")]
        public string DeletedFlag { get; set; }
        [Column("remark")]
        public string Remark { get; set; }
        [Column("purchase_price_unit_id")]
        public long? PurchasePriceUnitId { get; set; }
        [Column("create_by")]
        public string CreateBy { get; set; }
        [Column("create_time")]
        public DateTime? CreateTime { get; set; }
        [Column("update_by")]
        public string UpdateBy { get; set; }
        [Column("update_time")]
        public DateTime? UpdateTime { get; set; }
        [Column("approve_date")]
        public DateTime? ApproveDate { get; set; }
        [Column("erp_modify_date")]
        public DateTime? ErpModifyDate { get; set; }
    }
}
